Exception
Exception::getMessage
Exception
PHP Manual

# Exception::__construct

(PHP 5 >= 5.1.0)

Exception::__construct — Construit l'exception

### Description

public Exception::__construct() ([ string `$message` = "" [, int `$code` = 0 [, Exception `$previous` = `NULL` ]]] )

Construit l'exception.

### Liste de paramètres

`message`

  Le message de l'exception à lancer.

`code`

  Le code de l'exception.

`previous`

  L'exception précédente, utilisée pour le chaînage d'exception.

### Historique

Version | Description
--- | ---
5.3.0 | Le paramètre `previous` a été ajouté.

### Notes

> Note:

> Le `message` n'est PAS binary safe.

Exception
Exception::getMessage
Exception
PHP Manual